Vítejte !   Přihlášení | Registrace
Hlavní menu
CATIA fórum.cz
Novinky
Seriál CATIA
Obecně o CAD
Novinky ze světa DS
Makra pro CATIA V5
Diskuse
Vytvořit téma
Koncepty
Seznam oblíbených
Soukromé zprávy
Pravidla
Live CHAT
VIP žádost
Základy Catia
Ke stažení
Doporučujeme
Pracovní příležitosti
Reklama a kampaně
O fóru
Nápověda

Create technological results

Kompletní přehled příspěvků v tématu Create technological results řazený podle data jejich publikace na fóru.

UživatelPříspěvek
Josef Kočí

Poslat zprávu | Profil
Datum: 25.8. 2014 | Zobrazeno: 3237x
Konfigurace CATIA: V5 R19

Text dotazu:
Jde programově ovládat funkci "Create technological results"?

Zatím dokážu jenom přes řádek

CATIA.StartCommand "Create Technological Results"


Máto to jednu nevýhodu, je nutné programově stisknou tlačítko OK, což není úplně 100%.
Případně, má někdo 99,9% metodu jak potvrzovat tlačítko dialogu.

Děkuji
jk

Ing Jan Cinert

Poslat zprávu | Profil
[#4672] | Publikováno: 25.08. 2014 - 19:52
Mám metodu pro .NET - využívá API win a vytahuje si do popředí okno Catie. Ale podle mě to není nutné. Technological result vytvoříte opravdu jen přes command line, ale potvrzení by to chtít nemělo. Resp. nikdy jsem u toho neviděl žádný dialog a ani když jsem to zkoušel makrem, tak to prošlo bez potvzení? Po vás to něco chce odkliknout? Hoďte sem screenshot, moc by mě to zajímalo.

Jinak takhle jsem to zkoušel a vše OK...
Sub CATMain()

Set oSel = CATIA.ActiveDocument.Selection
Set oBody = CATIA.ActiveDocument.Part.Bodies.Item(1)
oSel.Add oBody
CATIA.StartCommand "Create Technological Results"
End Sub
Pavel Krsek

Poslat zprávu | Profil
[#4673] | Publikováno: 26.08. 2014 - 05:26
Dobrý den,
já bych k tomu měl prosím všeobecnější dotaz. K čemu se používá daná funkce "Create Technological Results"???

Děkuji za info.
Josef Kočí

Poslat zprávu | Profil
[#4674] | Publikováno: 26.08. 2014 - 09:20
Uz mi z toho hrabe, vycházel jsem z makra které potvrzení OK potřebovalo a nechal jsem to tam. Skutečně není potřeba.

A k čemu se používá?
Zjedn. řečeno je to rychla publikace děr, závitů a možná i jiných fičurek na konec body.
Pokud je techn. result vytvořen chová se korektněpři zrcadlení a linkování. Jinak se např. závity ztrácí.
Ing Jan Cinert

Poslat zprávu | Profil
[#4675] | Publikováno: 26.08. 2014 - 11:00
ještě dodám...

Pokud používáte např. negativy, které v sobě mají závity a kopírují se s linkem do jiných modelů, musí být TR vytvořený na Body s negativem a také na Body kde se kopie negativu odečítá - jinak se NEZOBRAZÍ závit ve výkresu. Je to jakési vynucené přenesení informace o závitu.

A samozřejmě to má i informační charakter.

Přiložené obrázky:

Jakub Švejda

Poslat zprávu | Profil
[#6450] | Publikováno: 26.03. 2018 - 09:49
Dobrý den,
prosím o pomoc dělám něco špatně když mi TR nefunguje na Sheetmetalu? Nebo je tato fce pouze pro Part Design?

Děkuji za odpověď.

Přiložené obrázky:

Ing Jan Cinert

Poslat zprávu | Profil
[#6452] | Publikováno: 26.03. 2018 - 12:39
Dobrý den,

podle zjištění se zdá, že TR nefunguje s SMD Hole, ale pokud se použije Hole z Part designu, přenese se do TR normálně.

Metodicky by se sice v modelech vytvářených v Sheetmetalu neměly používat feature z PartDesignu, ale v případě Hole to výsledek asi nijak neovlivní, takže bych se toho zase až tolik nebál.

Přiložené obrázky:

Jakub Švejda

Poslat zprávu | Profil
[#6453] | Publikováno: 26.03. 2018 - 13:18
Jeden problém tu je, díry z PartDesingu nejsou vidět na rozvinu. To je asi dané uvnitř v programu, že Technological Result ignoruje Hole v SMD, že?

Další problém je s použitím Recognize, který vyruší TR (viz. přiložený obrázek). Úspěšně se TR vytvoří v Body.2, ale to není vidět na výkresu.

Neexistuje jiná možnost k přenosu informace o závitech?

Přiložené obrázky:



Uživatel nepřihlášen

Pro zobrazení obsahu stránky / provedení akce (vytvoření nového téma, napsání odpovědi do diskuse apod.) musíte být přihlášeni.